.button {
  background: $blue;
  border: none;
  border-radius: 6px;
  color: $white;
  padding: 12px 68px;

  @include button-font();

  &:hover {
    background: $blue-1;
  }

  &:focus {
    background: $blue-2;
  }

  &:disabled {
    background: $blue-3 !important ;
    color: rgba($color: $blue, $alpha: 0.3) !important ;
  }

  &__narrow {
    background: transparent;
    border: 1px solid $blue;
    color: $black;
    font-size: 12px;
    font-weight: 400;
    line-height: 18px;
    padding: 9px 98px;

    &:hover {
      background: $blue-4;
      color: $blue;
    }

    &:focus {
      background: $blue-5;
      color: $blue;
    }

    &:disabled {
      border: 1px solid rgba(43, 174, 224, 0.3);
    }
  }
  &__covering {
    background: $white;
    padding: 12px 15px;
    border: 1px solid #e8e8e8;
    font-weight: 400;
    font-size: 16px;
    line-height: 155%;
    color: $black;

    &:hover {
      background: $white;
      border: 1px solid #bfbfbf;
    }
    &:focus {
      border: 1px solid $blue;
      background: $white;
    }
    &:disabled {
      background: $white !important;
      color: #bdbdbd !important;
      border: 1px solid #e8e8e8;
    }
  }

  &__relish {
    background: url("./components/image/Vector.svg") center no-repeat;
    border: 1px solid #eaeaea;
    padding: 12px 11px;

    &:hover {
      background: url("./components/image/Vector.svg") center no-repeat;
      border: 1px solid #bfbfbf;
    }
    &:focus {
      background: url("./components/image/Vector.svg") center no-repeat;
      border: 1px solid #f05658;
    }
    &:disabled {
      background: url("./components/image/emptyheartdisable.svg") center
        no-repeat !important;
      display: block;

      border: 1px solid #eaeaea !important;
    }
  }
  &__like {
    background: url("./components/image/heart1.svg") center no-repeat;
    border: 1px solid #eaeaea;
    padding: 12px 11px;

    &:hover {
      background: url("./components/image/heart1.svg") center no-repeat;
      border: 1px solid #bfbfbf;
    }
    &:focus {
      background: url("./components/image/heart1.svg") center no-repeat;
      border: 1px solid #f05658;
    }
    &:disabled {
      background: url("./components/image/heartdisable.svg") center no-repeat !important;
      display: block;
      border: 1px solid #eaeaea !important;
    }
  }
}
.switch {
  display: inline-block;
  position: relative;
  width: 52px;
  height: 28px;

  .slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #BFBFBF;
    -webkit-transition: 0.4s;
    transition: 0.4s;
    
  }
  .slider:before {
    position: absolute;
    content: "";
    height: 24px;
    width: 24px;
    left: 2px;
    bottom: 2px;
    background-color: white;
    -webkit-transition: 0.4s;
    transition: 0.4s;
  }
  input:checked + .slider {
    background-color: #2baee0;
  }
  input:focus + .slider {
    box-shadow: 0 0 1px #2baee0;
  }
  input:checked + .slider:before {
    -webkit-transform: translateX(24px);
    -ms-transform: translateX(24px);
    transform: translateX(24px);
  }
  .slider {
    border-radius: 19px;
  }
  .slider:before {
    border-radius: 16px;
  }
 
}
/*
$white: #ffffff;
$black: #122434;
button {
  background: $blue;
  color: $white;
  border-radius: 6px;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 12px 68px;
  position: relative;
  text-align: center;
  margin: 0px 16px;
  font-family: "Rubik";
  font-style: normal;
  font-weight: 500;
  font-size: 16px;
  line-height: 145%;
  text-align: center;
  color: $white;
  &:hover {
    background: #51c2ee;
  }
}
.button__profile-normal {
  background: $white;
  border: 1px solid #2baee0;
  box-sizing: border-box;
  border-radius: 6px;
  font-family: "Rubik";
  font-style: normal;
  font-weight: normal;
  font-size: 12px;
  line-height: 150%;
  text-align: center;
  color: $black;
  padding: 9px 98px;
  margin: 10px 0px;
}
.button__cancel-normal {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 12px 15px;
  background: $white;
  border: 1px solid #e8e8e8;
  box-sizing: border-box;
  border-radius: 6px;
  font-family: "Rubik";
  font-style: normal;
  font-weight: normal;
  font-size: 16px;
  line-height: 155%;
  color: $black;
  text-align: center;
  margin: 0px 16px;
}
.button__upload-normal {
  display: flex;
  border: none;
  flex-direction: column;
  align-items: center;
  padding: 9px 37px;
  background: #caf0ff;
  border-radius: 6px;
  font-family: "Rubik";
  font-style: normal;
  font-weight: normal;
  font-size: 12px;
  line-height: 150%;
  text-align: center;
  color: $black;
  margin: 10px 0px;
}
.button__emptyheart-normal {
  background: $white;
  border: 1px solid #e8e8e8;
  box-sizing: border-box;
  border-radius: 6px;
  padding: 12px 11px;
  display: flex;
  align-items: center;
  justify-content: center;
}
.button__heart-normal {
  background: $white;
  border: 1px solid #eaeaea;
  box-sizing: border-box;
  border-radius: 6px;
  padding: 12px 11px;
  display: flex;
  align-items: center;
  justify-content: center;
}
.button__delete-normal {
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 9px 20px;
  background: $white;
  border: 1px solid #e8e8e8;
  box-sizing: border-box;
  border-radius: 6px;
  font-family: "Rubik";
  font-style: normal;
  font-weight: normal;
  font-size: 12px;
  line-height: 150%;
  text-align: center;
  color: #f05658;
  margin: 10px 0px;
}
.button__login-normal {
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 9px 24px;
  background: rgba(18, 36, 52, 0.15);
  border: none;
  border-radius: 6px;
  font-family: "Rubik";
  font-style: normal;
  font-weight: 500;
  font-size: 12px;
  line-height: 150%;
  color: $white;
  display: flex;
  align-items: center;
  text-align: center;
  margin: 6px 0px;
}

.button__hover {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 12px 68px;
  background: #51c2ee;
  border-radius: 6px;
  font-family: "Rubik";
  font-style: normal;
  font-weight: 500;
  font-size: 16px;
  line-height: 145%;
  text-align: center;
  color: $white;
  margin: 0px 16px;
}

.button__profile-hover {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 9px 98px;
  background: #ebf9ff;
  border: 1px solid #2baee0;
  box-sizing: border-box;
  border-radius: 6px;
  font-family: "Rubik";
  font-style: normal;
  font-weight: normal;
  font-size: 12px;
  line-height: 150%;
  text-align: center;
  color: #2baee0;
  margin: 10px 0px;
}

.button__cancel-hover {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 12px 15px;
  border: 1px solid #bfbfbf;
  box-sizing: border-box;
  border-radius: 6px;
  font-family: "Rubik";
  font-style: normal;
  font-weight: normal;
  font-size: 16px;
  line-height: 155%;
  text-align: center;
  color: $black;
  background: $white;
  margin: 0px 16px;
}

.button__upload-hover {
  background: #daf5ff;
  border-radius: 6px;
  font-family: "Rubik";
  font-style: normal;
  font-weight: normal;
  font-size: 12px;
  line-height: 150%;
  text-align: center;
  color: $black;
  margin: 10px 0px;
  display: flex;
  border: none;
  flex-direction: column;
  align-items: center;
  padding: 9px 37px;
}
.button__emptyheart-hover {
  background: $white;
  border: 1px solid #bfbfbf;
  box-sizing: border-box;
  border-radius: 6px;
  padding: 12px 11px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.button__heart-hover {
  background: $white;
  border: 1px solid #bfbfbf;
  box-sizing: border-box;
  border-radius: 6px;
  padding: 12px 11px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.button__delete-hover {
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 9px 20px;
  background: $white;
  border: 1px solid #bfbfbf;
  box-sizing: border-box;
  border-radius: 6px;
  font-family: "Rubik";
  font-style: normal;
  font-weight: normal;
  font-size: 12px;
  line-height: 150%;
  text-align: center;
  color: #f05658;
  margin: 10px 0px;
}

.button__login-hover {
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 9px 24px;
  background: #122434;
  opacity: 0.25;
  border-radius: 8px;
  font-family: "Rubik";
  font-style: normal;
  font-weight: 500;
  font-size: 12px;
  line-height: 150%;
  color: $white;
  display: flex;
  align-items: center;
  text-align: center;
  margin: 0px 6px;
}
*/
